Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.batchext
Class FtpFileProviderImplUser0

    java.lang.Object
      com.stc.eways.batchext.FtpFileProviderImpl
          com.stc.eways.batchext.FtpFileProviderImplUser0

All Implemented Interfaces:
  FtpFileProvider

    public class FtpFileProviderImplUser0

extends FtpFileProviderImpl

This class is a sample implementation of a user-defined FTP ETD provider implementation class.

This class simply extends the e*Way's standard implementation class FtpFileProviderImpl.

Because this class does no extra work, it operates in the same way as FtpFileProviderImpl except that it outputs some extra messages.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2008/02/25 16:56:24 $
Author:
  Harry Liu

Field Summary

Fields inherited from class com.stc.eways.batchext.FtpFileProviderImpl
`ACTION_ABORTED, BAD_COMMAND_SEQUENCE, CANNOT_OPEN_DATA_CONNECTION, CLOSING_DATA_CONNECTION, COMMAND_IS_SUPERFLUOUS, COMMAND_NOT_IMPLEMENTED, COMMAND_NOT_IMPLEMENTED_FOR_PARAMETER, COMMAND_OK, DATA_CONNECTION_ALREADY_OPEN, DATA_CONNECTION_OPEN, DEFAULT_TIMEOUT_COMMAND_CONNECTION, DEFAULT_TIMEOUT_DATA_CONNECTION, DIRECTORY_STATUS, ENTERING_PASSIVE_MODE, FILE_ACTION_NOT_TAKEN, FILE_ACTION_OK, FILE_ACTION_PENDING, FILE_NAME_NOT_ALLOWED, FILE_STATUS, FILE_STATUS_OK, FILE_UNAVAILABLE, HELP_MESSAGE, INSUFFICIENT_STORAGE, mLogger, NAME_SYSTEM_TYPE, NEED_ACCOUNT, NEED_ACCOUNT_FOR_STORING_FILES, NEED_PASSWORD, NOT_LOGGED_IN, PAGE_TYPE_UNKNOWN, PATHNAME_CREATED, RESTART_MARKER, SERVICE_CLOSING_CONTROL_CONNECTION, SERVICE_NOT_AVAILABLE, SERVICE_NOT_READY, SERVICE_READY, STORAGE_ALLOCATION_EXCEEDED, SYNTAX_ERROR_IN_ARGUMENTS, SYSTEM_STATUS, TRANSFER_ABORTED, UNRECOGNIZED_COMMAND, USER_LOGGED_IN`

Constructor Summary
`FtpFileProviderImplUser0()` Construct a new FtpFileProviderImpl object.

Method Summary
`void` | `connect(java.lang.String host, int port)` Opens a socket connected to a remote FTP host, at the specified port and originating from the current host at a system-assigned port.
`void` | `initialize(FtpETD etd)` Initializes the FTP ETD object.

Methods inherited from class com.stc.eways.batchext.FtpFileProviderImpl
`appendFile, appendFile, appendFile, appendFile, appendFileStream, appendFileStream, archiveFile, ascii, binary, cd, completePendingCommand, connect, deleteFile, deleteFile, disConnect, ebcdic, getDataConnectionMode, getDefaultFileListParser, getDelegate, getFirstFileName, getHeuristics, getReplyCode, getReplyString, getReplyStrings, getSoLinger, getSoTimeout, getSystemName, getTcpNoDelay, image, isConnected, isNegativePermanent, isNegativeTransient, isPositiveCompletion, isPositiveIntermediate, isPositivePreliminary, isRemoteVerificationEnabled, isTraceRawCommand, listFileNames, listFileNames, listFiles, listFiles, listFiles, listFiles, listFiles, listHelp, listHelp, login, logout, main, mkdir, mkdirs, pwd, rename, rename, retrieveFile, retrieveFile, retrieveFile, retrieveFile, retrieveFileStream, retrieveFileStream, rmdir, sendCommand, sendCommand, sendSiteCommand, setDataSocketTimeout, setDefaultFileListParser, setDelegate, setDirListingStyle, setHeuristics, setRemoteVerificationEnabled, setSocketFactory, setSoLinger, setSoTimeout, setTcpNoDelay, setTraceRawCommand, setUserDefinedHeuristicsInfo, storeFile, storeFile, storeFile, storeFile, storeFileStream, storeFileStream, useActive, usePassive`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FtpFileProviderImplUser0

    public FtpFileProviderImplUser0()
                             throws java.lang.Exception

  Construct a new FtpFileProviderImpl object.

  Throws:
    `java.lang.Exception`

Method Detail

### connect

    public void connect(java.lang.String host,
                        int port)
                 throws java.net.SocketException,
                        java.io.IOException

  Opens a socket connected to a remote FTP host, at the specified port and originating from the current host at a system-assigned port.

  Specified by:
    `connect` in interface `FtpFileProvider`
  Overrides:
    `connect` in class `FtpFileProviderImpl`
  Parameters:
    `host` - The FTP host name.
    `port` - The FTP server port.
  Throws:
    `java.net.SocketException` - If some socket error occurs.
    `java.io.IOException` - If some input-output error occurs.

### initialize

    public void initialize(FtpETD etd)
                    throws FtpFileException

  Initializes the FTP ETD object.

  Specified by:
    `initialize` in interface `FtpFileProvider`
  Overrides:
    `initialize` in class `FtpFileProviderImpl`
  Parameters:
    `etd` - The FTP ETD instance.
  Throws:
    `FtpFileException` - If some error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD